Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1607180 - during build, vendor'ed files are used
Summary: during build, vendor'ed files are used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: etcd
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-22 23:38 UTC by Patrick Uiterwijk
Modified: 2019-04-16 14:54 UTC (History)
5 users (show)

Fixed In Version: etcd-3.3.12-1.20190314gite1ca3b4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-13 00:04:35 UTC


Attachments (Terms of Use)

Description Patrick Uiterwijk 2018-07-22 23:38:36 UTC
In the koji logs for etcd builds, it seems that while it buildrequires all the correct packages, the vendored files are still used during build.
e.g. https://kojipkgs.fedoraproject.org//packages/etcd/3.2.16/2.fc27/data/logs/x86_64/build.log: cd /builddir/build/BUILD/etcd-3.2.16/_build/src/github.com/coreos/etcd/cmd/vendor/google.golang.org/grpc/internal
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/github.com/coreos/etcd/cmd/vendor/google.golang.org/grpc/internal.a -trimpath $WORK -shared -goversion go1.9.4 -p github.com/coreos/etcd/cmd/vendor/google.golang.org/grpc/internal -complete -installsuffix shared -buildid 56974cdbe911fd83ba9595410b6c317a1d33b42a -D _/builddir/build/BUILD/etcd-3.2.16/_build/src/github.com/coreos/etcd/cmd/vendor/google.golang.org/grpc/internal -I $WORK -pack ./internal.go

You should probably do something like "rm -rf cmd/vendor" in the %prep stage.

Comment 1 Jan Kurik 2018-08-14 08:42:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Fedora Update System 2019-04-08 19:52:27 UTC
etcd-3.3.12-1.20190314gite1ca3b4.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-833466697f

Comment 3 Fedora Update System 2019-04-08 20:42:26 UTC
etcd-3.3.12-1.20190314gite1ca3b4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-33646297af

Comment 4 Fedora Update System 2019-04-09 01:48:02 UTC
etcd-3.3.12-1.20190314gite1ca3b4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-833466697f

Comment 5 Fedora Update System 2019-04-09 03:14:05 UTC
etcd-3.3.12-1.20190314gite1ca3b4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-33646297af

Comment 6 Fedora Update System 2019-04-13 00:04:35 UTC
etcd-3.3.12-1.20190314gite1ca3b4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-04-13 21:20:10 UTC
etcd-3.3.12-2.20190413gitf29b1ad.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-185e366042

Comment 8 Fedora Update System 2019-04-14 04:46:02 UTC
etcd-3.3.12-2.20190413gitf29b1ad.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-185e366042

Comment 9 Fedora Update System 2019-04-15 14:30:01 UTC
etcd-3.3.12-3.20190413gitf29b1ad.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-049b108f40

Comment 10 Fedora Update System 2019-04-16 04:34:41 UTC
etcd-3.3.12-3.20190413gitf29b1ad.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-049b108f40

Comment 11 Fedora Update System 2019-04-16 14:54:40 UTC
etcd-3.3.12-4.20190413gitf29b1ad.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-219b0b0b6a


Note You need to log in before you can comment on or make changes to this bug.